[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

./packages/openofficeorg/3.1.1/experimental r1635: merge



------------------------------------------------------------
revno: 1635 [merge]
committer: Rene Engelhard <rene@debian.org>
branch nick: experimental
timestamp: Fri 2009-08-14 12:46:56 +0200
message:
  merge
added:
  openoffice.org-filter-binfilter.postinst.in
  openoffice.org-filter-binfilter.preinst.in
  openoffice.org-filter-binfilter.prerm.in
modified:
  changelog
  control.in
  rules
=== modified file 'changelog'
--- a/changelog	2009-08-13 20:41:45 +0000
+++ b/changelog	2009-08-14 10:46:56 +0000
@@ -4,6 +4,12 @@
     - Standards-Version: 3.8.2 (already included the changes)
   * debian/rules:
     - make sure debian/scripts/get_libebook_dep.sh is executable
+    - move libsdfilt* to -draw
+    - remove result/ and test/ from OOos own copy of libxml2, too...
+      (see #331534)
+  * debian/rules, debian/openoffice.org-filter-binfilter-*:
+    Move libbf_migratefilter* back to -filter-binfilter as it's linked to
+    libs there. Add the regcomp (un)registering.
 
  -- Rene Engelhard <rene@debian.org>  Sat, 08 Aug 2009 14:31:27 +0200
 

=== modified file 'control.in'
--- a/control.in	2009-08-13 20:41:45 +0000
+++ b/control.in	2009-08-14 10:46:56 +0000
@@ -400,7 +400,7 @@
 Replaces: openoffice.org (<< 1.9), 
  openoffice.org-debian-files,
  openoffice.org2-draw (<< ${binary:Version}),
- openoffice.org-core (<< 2.2.1~rc3-3),
+ openoffice.org-core (<< 1:3.1.1~rc1-2),
  openoffice.org-common (<< 2.0.3+2.0.4m179)
 Conflicts: openoffice.org-debian-files,
  openoffice.org2-draw (<< ${binary:Version})
@@ -716,6 +716,7 @@
 Replaces: openoffice.org2-core (<= 1.9.108-1),
  openoffice.orgVER-math (<< 1.9.113-0pre1),
  openoffice.orgVER-calc (<< 1.9.113-0pre1),
+ openoffice.org-core (<< 1:3.1.1~rc1-2),
  openoffice.org2-filter-so52,
  openoffice.org-filter-so52
 Provides: openoffice.org2-filter-so52, openoffice.org-filter-so52

=== added file 'openoffice.org-filter-binfilter.postinst.in'
--- a/openoffice.org-filter-binfilter.postinst.in	1970-01-01 00:00:00 +0000
+++ b/openoffice.org-filter-binfilter.postinst.in	2009-08-12 20:33:48 +0000
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+THIS_PACKAGE=openoffice.org-filter-binfilter
+THIS_SCRIPT=postinst
+
+#INCLUDE_SHELL_LIB#
+
+if [ "$1" = "configure" -o "$1" = "upgrade" ]; then
+	register_to_services_rdb /@OOBASISDIR@/program/libbf_mingratefilter$LIBSUFFIX.so
+fi
+
+#DEBHELPER#
+
+exit 0

=== added file 'openoffice.org-filter-binfilter.preinst.in'
--- a/openoffice.org-filter-binfilter.preinst.in	1970-01-01 00:00:00 +0000
+++ b/openoffice.org-filter-binfilter.preinst.in	2009-08-12 20:33:48 +0000
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -e
+
+# preinst script for openoffice.org-filter-binfilter
+
+THIS_PACKAGE=openoffice.org-filter-binfilter
+THIS_SCRIPT=preinst
+
+#INCLUDE_SHELL_LIB#
+
+case "$1" in
+	upgrade)
+		revoke_from_services_rdb /@OOBASISDIR@/program/libbf_migratefilter$LIBSUFFIX.so
+	;;
+esac
+
+#DEBHELPER#
+
+exit 0

=== added file 'openoffice.org-filter-binfilter.prerm.in'
--- a/openoffice.org-filter-binfilter.prerm.in	1970-01-01 00:00:00 +0000
+++ b/openoffice.org-filter-binfilter.prerm.in	2009-08-12 20:33:48 +0000
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -e
+
+# prerm script for openoffice.org-filter-binfilter
+
+THIS_PACKAGE=openoffice.org-filter-binfilter
+THIS_SCRIPT=prerm
+
+#INCLUDE_SHELL_LIB#
+
+case "$1" in
+	remove)
+		revoke_from_services_rdb /@OOBASISDIR@/program/libbf_migratefilter$LIBSUFFIX.so
+	;;
+esac
+
+#DEBHELPER#
+
+exit 0

=== modified file 'rules'
--- a/rules	2009-08-13 20:21:46 +0000
+++ b/rules	2009-08-14 10:46:56 +0000
@@ -2014,6 +2014,12 @@
 		-br $(PKGDIR)-core/$(OODIR)/program/services.rdb \
 		-c 'vnd.sun.star.expand:$$OOO_BASE_DIR/program/libkab1.so'
 endif
+ifeq "$(BUILD_BINFILTERS)" "y"
+	debian/ure/$(OOBRANDDIR)/ure/bin/regcomp -revoke \
+		-r $(PKGDIR)-core/$(OODIR)/program/services.rdb \
+		-br $(PKGDIR)-core/$(OODIR)/program/services.rdb \
+		-c 'vnd.sun.star.expand:$$OOO_BASE_DIR/program/libbf_migratefilter$(LIBSUFFIX).so'
+endif
 
 	# move the URE to /usr/lib/ure
 	mv debian/ure/$(OOBRANDDIR)/ure debian/ure/usr/lib
@@ -2154,6 +2160,7 @@
 	mv $(PKGDIR)-core/$(OODIR)/program/libsd$(LIBSUFFIX)* \
 	   $(PKGDIR)-core/$(OODIR)/program/libsdd* \
 	   $(PKGDIR)-core/$(OODIR)/program/libsdui* \
+	   $(PKGDIR)-core/$(OODIR)/program/libsdfilt* \
 		$(PKGDIR)-draw/$(OODIR)/program
 	mv $(PKGDIR)-core/$(OODIR)/program/slideshow.uno.so \
 		$(PKGDIR)-impress/$(OODIR)/program
@@ -2184,10 +2191,6 @@
 		mv $(PKGDIR)-core/$(OODIR)/program/$$i*uno.so \
 			$(PKGDIR)-calc/$(OODIR)/program; \
 	done
-ifeq "$(BUILD_BINFILTERS)" "y"
-	mv $(PKGDIR)-filter-binfilter/$(OODIR)/program/libbf_migratefilter*.so \
-		$(PKGDIR)-core/$(OODIR)/program
-endif
 
 ifeq "$(ENABLE_JAVA)" "y"
   ifeq "$(USE_SYSTEM_HSQLDB)" "y"
@@ -3367,6 +3370,11 @@
 		for i in da_DK en_GB nl_NL ru_RU; do \
 			rm $(TAG)-libs-extern-sys/dictionaries/$$i/hyph_$${i}.dic; \
 		done && \
+		cd $(TAG)-libs-extern-sys/libxml2/download/ && \
+		tar xfvz libxml2-2.6.31.tar.gz && \
+		rm -rf libxml2-2.6.31/result libxml2-2.6.31/test && \
+		tar cfvz libxml2-2.6.31.tar.gz libxml2-2.6.31/ && \
+		rm -rf libxml2-2.6.31/ && \
 		tar cfvj $(TAG)-libs-extern-sys.tar.bz2.dfsg $(TAG)-libs-extern-sys && \
 		ln -sf $(TAG)-libs-extern-sys.tar.bz2.dfsg $(TAG)-libs-extern-sys.tar.bz2 && \
 		rm -rf $(TAG)-libs-extern-sys && \


Reply to: